
div.controls {
  display: flex;
  justify-content: space-around;
  align-items: center;

  margin-top: 50px;
  height: 90px;

  button {
    font-family: "zunzun-icons";
    background-color: #222;
    color: #FFF;
    border: none;
    width: 50px;
    height: 50px;
    border-radius: 40px;
    font-size: 26px;
    transition: 1s;
    cursor: pointer;
    margin: 0 3px;
    padding: 0;

    &:hover {
      width: 60px;
      height: 60px;
      background-color: #FFF;
      color: #222;
    }

  }

  div.actions {
    display: flex;
    align-items: center;
  }

  div.order {
    display: flex;
    justify-content: center;

    button {
      border-radius: 0px;
      border-top-left-radius: 40px;
      border-bottom-left-radius: 40px;
      margin: 0;
    }

    select {
      background-color: #222;
      color: #FFF;
      border: none;
      height: 50px;
      font-size: 18px;
      transition: 1s;
      cursor: pointer;
      padding: 0 15px;
      border-top-right-radius: 40px;
      border-bottom-right-radius: 40px;
      font-family: Lucida Console,Lucida Sans Typewriter,monaco,Bitstream Vera Sans Mono,monospace;
    }


    &:hover {
      button {
        width: 60px;
        height: 60px;
        background-color: #FFF;
        color: #222;
      }
      select {
        height: 60px;
        background-color: #FFF;
        color: #222;
      }
    }
  }
}

div.media-upload {
  display: flex;
  align-items: center;

  width: fit-content;
  max-width: 1026px;



  label, input[type=submit] {
    background-color: #222;
    padding: 0px 20px;
    border: 1px solid #222;
    color: #FFF;
    font-size: 18px;
    border-radius: 15px;
    cursor: pointer;
    transition: 1s;
    margin: 5px 10px;

    height: 50px;
    line-height: 50px;

    border-radius: 40px;

    &:hover, &:focus {
      padding: 0px 25px;
      height: 60px;
      line-height: 60px;
      background-color: #FFF;
      color: #222;
      border: 1px solid #FFF;
    }
  }


  label {

  }

  input[type=file] {
    display: none;
  }

  div.selected-files {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    border: 1px solid #222;
    max-width: 620px;
    max-height: 84px;
    overflow-y: auto;
    border-radius: 18px;

    div {
      margin: 1px;
      background-color: #222;
      color: #FFF;
      border-radius: 30px;
      padding: 5px 15px;
    }
  }

  input[type=submit] {
    font-family: Lucida Console,Lucida Sans Typewriter,monaco,Bitstream Vera Sans Mono,monospace;

    &:disabled {
      background-color: #FFF;
      color: #222;

      cursor: default;

    }
  }
}

div.select-grid-div {
  background-color: white;

  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  overflow-y: auto;

  div.select-grid-close, div.select-grid-submit {
    display: none;
  }


  div.select-grid {
    width: 100vw;
    overflow-y: auto;
    height: calc(100% - 90px);

    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    div.select-media-item {
      color: #222;

      width: calc(25vw - 42px);
      height: calc(25vw - 42px);

      margin: 10px;

      border: 1px solid #222;
      transition: 1s;

      cursor: pointer;

      display: flex;
      align-items: start;
      justify-content: center;
      flex-wrap: wrap;

      div.media-item-header {
        width: 100%;
        margin: 10px;
        text-align: center;
        overflow: hidden;
      }

      img, video {
        max-width: calc(100%);
        max-height: calc(100% - 42px);
      }

      &:hover {
        width: calc(25vw - 22px);
        height: calc(25vw - 22px);
      }

      &.selected {
        background-color: #222;
        color: #FFF;
      }
    }
  }

}
